# __gnu_cxx::_BackInsertionSequenceConcept< _BackInsertionSequence > Struct Template Reference

List of all members.

## Detailed Description

### template<class _BackInsertionSequence>
struct __gnu_cxx::_BackInsertionSequenceConcept< _BackInsertionSequence >

Definition at line 767 of file boost_concept_check.h.

## Public Types

- typedef _BackInsertionSequence::const_reference _Const_reference
- typedef _BackInsertionSequence::reference _Reference

## Public Member Functions

- void __const_constraints (const _BackInsertionSequence &__c)
- void __constraints ()

## Public Attributes

- _BackInsertionSequence __c
- _BackInsertionSequence::value_type __t

The documentation for this struct was generated from the following file:

- boost_concept_check.h